Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::BoundContents::Layout Class Reference

`#include <FunctionDAG.h>`

## Public Member Functions

| Layout ()=default
| ~Layout ()
| Layout (const Layout &)=delete
void | operator= (const Layout &)=delete
| Layout (Layout &&)=delete
void | operator= (Layout &&)=delete
BoundContents * | make () const
void | release (const BoundContents *b) const
| Layout ()=default
| ~Layout ()
| Layout (const Layout &)=delete
void | operator= (const Layout &)=delete
| Layout (Layout &&)=delete
void | operator= (Layout &&)=delete
BoundContents * | make () const
void | release (const BoundContents *b) const

## Public Attributes

int | total_size
int | computed_offset
std::vector< int > | loop_offset

## Detailed Description

Definition at line 323 of file FunctionDAG.h.

## Constructor & Destructor Documentation

## Layout() [1/6]

Halide::Internal::Autoscheduler::BoundContents::Layout::Layout | ( |  | ) |

default

Referenced by Layout(), Layout(), operator=(), and operator=().

## ~Layout() [1/2]

Halide::Internal::Autoscheduler::BoundContents::Layout::~Layout | ( |  | ) |

## Layout() [2/6]

Halide::Internal::Autoscheduler::BoundContents::Layout::Layout | ( | const Layout & |  | ) |

delete

References Layout().

## Layout() [3/6]

Halide::Internal::Autoscheduler::BoundContents::Layout::Layout | ( | Layout && |  | ) |

delete

References Layout().

## Layout() [4/6]

Halide::Internal::Autoscheduler::BoundContents::Layout::Layout | ( |  | ) |

default

## ~Layout() [2/2]

Halide::Internal::Autoscheduler::BoundContents::Layout::~Layout | ( |  | ) |

## Layout() [5/6]

Halide::Internal::Autoscheduler::BoundContents::Layout::Layout | ( | const Layout & |  | ) |

delete

References Layout().

## Layout() [6/6]

Halide::Internal::Autoscheduler::BoundContents::Layout::Layout | ( | Layout && |  | ) |

delete

References Layout().

## Member Function Documentation

## operator=() [1/4]

void Halide::Internal::Autoscheduler::BoundContents::Layout::operator= | ( | const Layout & |  | ) |

delete

References Layout().

## operator=() [2/4]

void Halide::Internal::Autoscheduler::BoundContents::Layout::operator= | ( | Layout && |  | ) |

delete

References Layout().

## make() [1/2]

BoundContents * Halide::Internal::Autoscheduler::BoundContents::Layout::make | ( |  | ) | const

## release() [1/2]

void Halide::Internal::Autoscheduler::BoundContents::Layout::release | ( | const BoundContents * | b | ) | const

## operator=() [3/4]

void Halide::Internal::Autoscheduler::BoundContents::Layout::operator= | ( | const Layout & |  | ) |

delete

References Layout().

## operator=() [4/4]

void Halide::Internal::Autoscheduler::BoundContents::Layout::operator= | ( | Layout && |  | ) |

delete

References Layout().

## make() [2/2]

BoundContents * Halide::Internal::Autoscheduler::BoundContents::Layout::make | ( |  | ) | const

## release() [2/2]

void Halide::Internal::Autoscheduler::BoundContents::Layout::release | ( | const BoundContents * | b | ) | const

## Member Data Documentation

## total_size

int Halide::Internal::Autoscheduler::BoundContents::Layout::total_size

Definition at line 336 of file FunctionDAG.h.

## computed_offset

int Halide::Internal::Autoscheduler::BoundContents::Layout::computed_offset

Definition at line 341 of file FunctionDAG.h.

## loop_offset

std::vector< int > Halide::Internal::Autoscheduler::BoundContents::Layout::loop_offset

Definition at line 344 of file FunctionDAG.h.

The documentation for this class was generated from the following files:

- src/autoschedulers/adams2019/FunctionDAG.h
- src/autoschedulers/anderson2021/FunctionDAG.h